[arch-commits] Commit in bc/trunk (PKGBUILD bc-1.06-info-dir-entry.patch)

Eric Bélanger eric at archlinux.org
Fri Nov 6 09:34:11 EST 2009


    Date: Friday, November 6, 2009 @ 09:34:10
  Author: eric
Revision: 58244

upgpkg: bc 1.06-7
    fixed bc info file

Added:
  bc/trunk/bc-1.06-info-dir-entry.patch
Modified:
  bc/trunk/PKGBUILD

------------------------------+
 PKGBUILD                     |   11 +++++++----
 bc-1.06-info-dir-entry.patch |   11 +++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-06 14:30:49 UTC (rev 58243)
+++ PKGBUILD	2009-11-06 14:34:10 UTC (rev 58244)
@@ -13,14 +13,17 @@
 conflicts=('bc-readline')
 install=bc.install
 source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
-	build-fix.patch)
-md5sums=('d44b5dddebd8a7a7309aea6c36fda117' 'fc7ecbd9e55ef04c6d3a495692626116')
-sha1sums=('c8f258a7355b40a485007c40865480349c157292' '3af67c59e2232b9329ff0c1cf49d1a8a1cf87cd7')
+	build-fix.patch bc-1.06-info-dir-entry.patch)
+md5sums=('d44b5dddebd8a7a7309aea6c36fda117' 'fc7ecbd9e55ef04c6d3a495692626116'\
+         'b6fe9869830aca0d34badf810fe0cfb3')
+sha1sums=('c8f258a7355b40a485007c40865480349c157292' '3af67c59e2232b9329ff0c1cf49d1a8a1cf87cd7'\
+         'c15c2a301ba80cf4d3c03a6e164f4e57fa86e4a2')
 
 build() {
   CFLAGS="$CFLAGS -O3"
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np1 -i ../build-fix.patch || return 1
+  patch -p1 -i "${srcdir}/build-fix.patch" || return 1
+  patch -p1 -i "${srcdir}/bc-1.06-info-dir-entry.patch" || return 1
   ./configure --prefix=/usr --mandir=/usr/share/man \
     --infodir=/usr/share/info --with-readline || return 1
   make LEX="flex -I" || return 1

Added: bc-1.06-info-dir-entry.patch
===================================================================
--- bc-1.06-info-dir-entry.patch	                        (rev 0)
+++ bc-1.06-info-dir-entry.patch	2009-11-06 14:34:10 UTC (rev 58244)
@@ -0,0 +1,11 @@
+--- bc-1.06/doc/bc.info.info-dir-entry	2000-10-03 20:36:31.000000000 +0200
++++ bc-1.06/doc/bc.info	2003-01-06 14:07:40.000000000 +0100
+@@ -1,5 +1,8 @@
+ This is bc.info, produced by makeinfo version 4.0 from bc.texi.
+ 
++START-INFO-DIR-ENTRY
++* bc: (bc).                   Arbritrary precision calculator language.
++END-INFO-DIR-ENTRY
+ 
+ File: bc.info,  Node: Top,  Next: Introduction,  Prev: (dir),  Up: (dir)
+ 



More information about the arch-commits mailing list